# Governable Parameters

| Module         | Codebase     | Parameters                                                                                           | Description                                                                                                                                                                                                                                                             |
| -------------- | ------------ | ---------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `auth`         | `cosmos-sdk` | `MaxMemoCharacters` `TxSigLimit` `TxSizeCostPerByte` `SigVerifyCostED25519` `SigVerifyCostSecp256k1` | The auth module is responsible for specifying the base transaction and account types for an application. [Ref.](https://docs.cosmos.network/v0.46/modules/auth/06_params.html)                                                                                          |
| `bank`         | `cosmos-sdk` | `SendEnabled` `DefaultSendEnabled`                                                                   | The bank module is responsible for handling multi-asset coin transfers between accounts and tracking special-case pseudo-transfers which must work differently with particular kinds of accounts. [Ref.](https://docs.cosmos.network/v0.46/modules/bank/05_params.html) |
| `distribution` | `cosmos-sdk` | `communitytax` `baseproposerreward` `bonusproposerreward` `withdrawaddrenabled`                      | This simple distribution mechanism describes a functional way to passively distribute rewards between validators and delegators. [Ref.](https://docs.cosmos.network/v0.46/modules/distribution/07_params.html)                                                          |
| `governance`   | `cosmos-sdk` | `min_deposit` `max_deposit_period` `voting_period` `quorum` `threshold` `veto`                       | The module enables Cosmos-SDK based blockchain to support an on-chain governance system. [Ref.](https://docs.cosmos.network/v0.46/modules/gov/06_params.html)                                                                                                           |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swisstronik.com/swisstronik-docs/general/governance/governable-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
